Package ghidra.program.model.data

# Class DefaultAnnotationHandler

java.lang.Object
ghidra.program.model.data.DefaultAnnotationHandler

All Implemented Interfaces:
  `AnnotationHandler`, `ExtensionPoint`

public class DefaultAnnotationHandler extends Object implements AnnotationHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultAnnotationHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns the description of the specific handler
  `String[]`
  `getFileExtensions()`
  Returns an array of known extensions for the output file type.
  `String`
  `getLanguageName()`
  Returns the name of the C-like language that this handler supports
  `String`
  `getPrefix(Composite c, DataTypeComponent dtc)`
  Returns the prefix for type Composite
  `String`
  `getPrefix(Enum e, String member)`
  Returns the prefix for type Enum
  `String`
  `getSuffix(Composite c, DataTypeComponent dtc)`
  Returns the suffix for type Composite
  `String`
  `getSuffix(Enum e, String member)`
  Returns the suffix for type Enum
  `String`
  `toString()`
  Returns a string description of this handler.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultAnnotationHandler

    public DefaultAnnotationHandler()

- ## Method Details

  - ### getPrefix

    public String getPrefix(Enum e, String member)
    Description copied from interface: `AnnotationHandler`
    Returns the prefix for type Enum
    Specified by:
      `getPrefix` in interface `AnnotationHandler`
    Parameters:
      `e` - the Enum datatype
      `member` - the name of the member of the Enum
    Returns:
      the prefix for type Enum

  - ### getSuffix

    public String getSuffix(Enum e, String member)
    Description copied from interface: `AnnotationHandler`
    Returns the suffix for type Enum
    Specified by:
      `getSuffix` in interface `AnnotationHandler`
    Parameters:
      `e` - the Enum datatype
      `member` - the name of the member of the Enum
    Returns:
      the suffix for type Enum

  - ### getPrefix

    public String getPrefix(Composite c, DataTypeComponent dtc)
    Description copied from interface: `AnnotationHandler`
    Returns the prefix for type Composite
    Specified by:
      `getPrefix` in interface `AnnotationHandler`
    Parameters:
      `c` - the Composite datatype
      `dtc` - the name of the member of the Composite
    Returns:
      the prefix for type Composite

  - ### getSuffix

    public String getSuffix(Composite c, DataTypeComponent dtc)
    Description copied from interface: `AnnotationHandler`
    Returns the suffix for type Composite
    Specified by:
      `getSuffix` in interface `AnnotationHandler`
    Parameters:
      `c` - the Composite datatype
      `dtc` - the name of the member of the Composite
    Returns:
      the suffix for type Composite

  - ### getDescription

    public String getDescription()
    Description copied from interface: `AnnotationHandler`
    Returns the description of the specific handler
    Specified by:
      `getDescription` in interface `AnnotationHandler`
    Returns:
      the description of the specific handler

  - ### getLanguageName

    public String getLanguageName()
    Description copied from interface: `AnnotationHandler`
    Returns the name of the C-like language that this handler supports
    Specified by:
      `getLanguageName` in interface `AnnotationHandler`
    Returns:
      the name of the C-like language that this handler supports

  - ### getFileExtensions

    public String[] getFileExtensions()
    Description copied from interface: `AnnotationHandler`
    Returns an array of known extensions for the output file type. If no extensions are preferred, the an empty array should be returned.
    Specified by:
      `getFileExtensions` in interface `AnnotationHandler`
    Returns:
      an array of known extensions for the output file type.

  - ### toString

    public String toString()
    Description copied from interface: `AnnotationHandler`
    Returns a string description of this handler.
    Specified by:
      `toString` in interface `AnnotationHandler`
    Overrides:
      `toString` in class `Object`
    Returns:
      a string description of this handler